1. Tags
  • Litemail
    • Litemail Docs
    • Users
      • Retrieve User Details
    • Workspaces
      • Retrieve All Workspaces
      • Create New Workspace
      • Update Workspace
    • Billings
      • Add Billing Details
    • Mailboxes
      • Retrieve Mailboxes
      • Assign New Mailbox to Domain
      • Get Mailbox Details
      • Update Mailbox
      • Remove Mailbox (Next Renewal)
    • Payment & Wallet
      • Get Wallet Balance
      • Add Balance to Wallet
      • Enable Auto Recharge
    • Exports
      • Export Mailboxes
      • Add Third Party Account Details
      • Update Third Party Account Details
    • Subscriptions
      • Get All Subscriptions
      • Cancel Subscription
      • Upgrade Subscription
    • Domains
      • Retrieve Domains
      • List Assignable Domains
      • Add DMARC Records
      • Add Domain Forwarding
      • Remove Domain Forwarding
      • Get Name Servers
      • Verify Name Server Propagation
      • Connect Domains with LiteMail AI
      • Enable Email Forwarding
      • Remove Email Forwarding
      • Enable Catch-All Emails
      • Remove Catch-All Emails
      • Check DNS Records
      • Remove Unused Domain
      • Get Available Domains for Registration
      • Get Domain Purchase Payment Link
    • DNS
      • Get DNS Records
      • Add DNS Record
      • Update DNS Record
      • Delete DNS Record
    • apikeys testing
      • generate key by login first
    • Connect Inbox
      • connect-inboxes
  • LiteMail API v3
    • Users
      • Retrieve User Details
    • Domains
      • Retrieve Domains
      • Purchase/Register a New Domain
      • List Assignable Domains
      • Add DMARC Records
      • Add Domain Forwarding
      • Remove Domain Forwarding
      • Get Name Servers
      • Verify Name Server Propagation
      • Connect Domains with LiteMail
      • Enable Email Forwarding
      • Remove Email Forwarding
      • Enable Catch-All Emails
      • Remove Catch-All Emails
      • Check DNS Records
      • Get Domain Details
      • Remove Unused Domain
      • Get Available Domains for Registration
      • Get Domain Purchase Payment Link
    • Mailboxes
      • Retrieve Mailboxes
      • Assign New Mailbox to Domain
      • Get Mailbox Details
      • Update Mailbox
      • Remove Mailbox (Next Renewal)
      • Get Warmup Analytics for Mailboxes
    • Workspaces
      • Retrieve All Workspaces
      • Create New Workspace
      • Update Workspace
    • Billings
      • Add Billing Details
    • Payment & Wallet
      • Get Wallet Balance
      • Add Balance to Wallet
      • Enable Auto Recharge
    • Wallet
      • Add Credit to Wallet
      • List Billing Invoices
    • Exports
      • Export Mailboxes
      • Add Third Party Account Details
      • Update Third Party Account Details
      • Connect Inboxes (Export to Platform)
    • Subscriptions
      • Get All Subscriptions
      • Cancel Subscription
      • Upgrade Subscription
    • DNS
      • Get DNS Records
      • Create DNS Record
      • Update DNS Record
      • Delete DNS Record
    • Tags
      • List Tags
        GET
      • Create Tag
        POST
      • Update Tag
        PUT
      • Delete Tag
        DELETE
    • MailBoxes
      • Assign Mailboxes to Domain
    • Placement
      • List Placement Tests
      • Create Placement Test
    • Dashboard
      • Get Dashboard Overview
      • Get Mailbox Status Counts
    • Export History
      • List Export History
      • Create Export History Record
    • Cloudflare
      • Get Cloudflare Credentials & Zones
      • Save Credentials or Connect Domain
    • Webhooks
      • List Registered Webhooks
      • Register a New Webhook Endpoint
      • Delete a Webhook
  1. Tags

Update Tag

PUT
/v1/tags/{id}
Update an existing tag by its ID. Verifies domain ownership before updating. Use domain (domain name) and name for tag name. The legacy fields domainId and tagName are still accepted for backwards compatibility.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Path Params

Body Params application/jsonRequired

Example
{
    "domain": "b2bforcelabs.com",
    "domainId": "cmg9l788c0001la04ctg7t1j4",
    "name": "newsletter",
    "tagName": "newsletter",
    "tagColor": "#FF5733"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT '/v1/tags/' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "domain": "b2bforcelabs.com",
    "domainId": "cmg9l788c0001la04ctg7t1j4",
    "name": "newsletter",
    "tagName": "newsletter",
    "tagColor": "#FF5733"
}'

Responses

🟢200
application/json
Tag updated successfully
Bodyapplication/json

Example
{
    "status": 200,
    "message": "Tag updated successfully.",
    "data": {
        "id": "tag_abc1",
        "tagName": "newsletter",
        "name": "newsletter",
        "domainId": "cmg9l788c0001la04ctg7t1j4"
    }
}
🟠400
🟠401
🟠404
🔴500
Previous
Create Tag
Next
Delete Tag
Built with